libgdamm Reference Documentation

Main Page Namespaces Book

# command.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::Command
| For issuing commands to the provider. More...

## Enumerations

enum | Gnome::Gda::CommandOptions { Gnome::Gda::COMMAND_OPTION_IGNORE_ERRORS = 1, Gnome::Gda::COMMAND_OPTION_STOP_ON_ERRORS = 1 << 1, Gnome::Gda::COMMAND_OPTION_BAD_OPTION = 1 << 2 }

Bitwise operators:
  `CommandOptions operator|(CommandOptions, CommandOptions)`
  `CommandOptions operator&(CommandOptions, CommandOptions)`
  `CommandOptions operator^(CommandOptions, CommandOptions)`
  `CommandOptions operator~(CommandOptions)`
  `CommandOptions& operator|=(CommandOptions&, CommandOptions)`
  `CommandOptions& operator&=(CommandOptions&, CommandOptions)`
  `CommandOptions& operator^=(CommandOptions&, CommandOptions)`

More...

enum | Gnome::Gda::CommandType { Gnome::Gda::COMMAND_TYPE_SQL, Gnome::Gda::COMMAND_TYPE_XML, Gnome::Gda::COMMAND_TYPE_PROCEDURE, Gnome::Gda::COMMAND_TYPE_TABLE, Gnome::Gda::COMMAND_TYPE_SCHEMA, Gnome::Gda::COMMAND_TYPE_INVALID }

## Functions

CommandOptions | Gnome::Gda::operator& (CommandOptions lhs, CommandOptions rhs)
CommandOptions& | Gnome::Gda::operator&= (CommandOptions& lhs, CommandOptions rhs)
CommandOptions | Gnome::Gda::operator^ (CommandOptions lhs, CommandOptions rhs)
CommandOptions& | Gnome::Gda::operator^= (CommandOptions& lhs, CommandOptions rhs)
CommandOptions | Gnome::Gda::operator| (CommandOptions lhs, CommandOptions rhs)
CommandOptions& | Gnome::Gda::operator|= (CommandOptions& lhs, CommandOptions rhs)
CommandOptions | Gnome::Gda::operator~ (CommandOptions flags)